Gtk2::SourceView2::Style(3)

NAME
Gtk2::SourceView2::Style

HIERARCHY
  Glib::Object
  +----Gtk2::SourceView2::Style

METHODS

  style = $style->copy

PROPERTIES

'background' (string : default undef : readable / writable / construct-only)
    Background color

'background-set' (boolean : default false : readable / writable / construct-only)
    Whether background color is set

'bold' (boolean : default false : readable / writable / construct-only)
    Bold

'bold-set' (boolean : default false : readable / writable / construct-only)
    Whether bold attribute is set

'foreground' (string : default undef : readable / writable / construct-only)
    Foreground color

'foreground-set' (boolean : default false : readable / writable / construct-only)
    Whether foreground color is set

'italic' (boolean : default false : readable / writable / construct-only)
    Italic

'italic-set' (boolean : default false : readable / writable / construct-only)
    Whether italic attribute is set

'line-background' (string : default undef : readable / writable / construct-only)
    Line background color

'line-background-set' (boolean : default false : readable / writable / construct-only)
    Whether line background color is set

'strikethrough' (boolean : default false : readable / writable / construct-only)
    Strikethrough

'strikethrough-set' (boolean : default false : readable / writable / construct-only)
    Whether strikethrough attribute is set

'underline' (boolean : default false : readable / writable / construct-only)
    Underline

'underline-set' (boolean : default false : readable / writable / construct-only)
    Whether underline attribute is set

SEE ALSO
Gtk2::SourceView2, Glib::Object

COPYRIGHT
Copyright (C) 2009 by Emmanuel Rodriguez